On-Page Tasks Ready


The ‘Tasks Ready’ endpoint is designed to provide you with a list of completed tasks, which results haven’t been collected yet.

checked GET
Pricing

Your account is not charged when receiving results

Each separate task will remain on the list until it is collected. You can make up to 20 API calls per minute. With each API call, you can get 1000 tasks completed within three previous days. The list will not contain the tasks which have already been collected and the tasks that were not collected within three days after completion.

As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields for setting a task:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataarray

contains the parameters passed in the request's URL

resultarray

array of results

    idstring

task identifier of the completed task
unique task identifier in our system in the UUID format

    targetstring

target website specified when setting a task

    date_postedstring

date when the task was posted (in the UTC format)

    tagstring

user-defined task identifier


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/on_page/tasks_ready" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
<?php
// You can download this file from here https://api.dataforseo.com/v3/_examples/php/_php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
   $result = array();
   // #1 - using this method you can get a list of completed tasks
   // GET /v3/on_page/tasks_ready
   $tasks_ready = $client->get('/v3/on_page/tasks_ready');
   // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
   if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
      foreach ($tasks_ready['tasks'] as $task) {
         if (isset($task['result'])) {
            foreach ($task['result'] as $task_ready) {
               // #2 - using this method you can get results of each completed task
               // GET /v3/on_page/summary/$id
               if (isset($task_ready['id'])) {
                  $result[] = $client->get('/v3/on_page/summary/' . $task_ready['id']);
               }
            }
         }
      }
   }
   print_r($result);
   // do something with result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/on_page/tasks_ready',
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip
client = RestClient("login", "password")

# using this method you can get a list of completed tasks
# GET /v3/on_page/tasks_ready
# the full list of possible parameters is available in documentation
response = client.get("/v3/on_page/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task on_page_tasks_ready()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }                
            };
            // using this method you can get a list of completed tasks
            // GET /v3/on_page/tasks_ready
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/on_page/tasks_ready");
            var result = JsonConvert.DeserializeObject(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20200805",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.2772 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "08071727-1535-0217-0000-1958f65eebb9",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.1982 sec.",
      "cost": 0,
      "result_count": 106,
      "path": [
        "v3",
        "on_page",
        "tasks_ready"
      ],
      "data": {
        "api": "on_page",
        "function": "tasks_ready"
      },
      "result": [
        {
          "id": "08041601-1535-0216-0000-fc052fccbb0f",
          "target": "dataforseo.com",
          "date_posted": "2020-08-04 13:01:21 +00:00",
          "tag": ""
        },
        {
          "id": "08041601-1535-0216-0000-fc052fccbb0f",
          "target": "dataforseo.com",
          "date_posted": "2020-08-04 13:01:21 +00:00",
          "tag": ""
        },
        {
          "id": "08041601-1535-0216-0000-fc052fccbb0f",
          "target": "dataforseo.com",
          "date_posted": "2020-08-04 13:01:21 +00:00",
          "tag": ""
        },
        {
          "id": "08041601-1535-0216-0000-fc052fccbb0f",
          "target": "dataforseo.com",
          "date_posted": "2020-08-04 13:01:21 +00:00",
          "tag": ""
        },
        {
          "id": "08041601-1535-0216-0000-fc052fccbb0f",
          "target": "dataforseo.com",
          "date_posted": "2020-08-04 13:01:21 +00:00",
          "tag": ""
        },
        {
          "id": "08041601-1535-0216-0000-fc052fccbb0f",
          "target": "dataforseo.com",
          "date_posted": "2020-08-04 13:01:21 +00:00",
          "tag": ""
        }
      ]
    }
  ]
}